Public Member Functions | Static Public Member Functions | List of all members
WP5Part Class Referenceabstract

`#include <WP5Part.h>`

Inheritance diagram for WP5Part:

## Public Member Functions
virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Static Public Member Functions
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ ~WP5Part()

virtual WP5Part::~WP5Part | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ constructPart()

WP5Part * WP5Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal
| ) |  |
| static

Referenced by WP5Parser::parseDocument().

## ◆ parse()

virtual void WP5Part::parse | ( | WP5Listener * | listener | ) |
| pure virtual

Implemented in WP5AttributeGroup, WP5TableEOPGroup, WP5TableEOLGroup, WP5TabGroup, WP5SoftHyphenFunction, WP5HyphenFunction, WP5HardSpaceFunction, WP5SpaceFunction, WP5EOLFunction, WP5PageFormatGroup, WP5IndentGroup, WP5HeaderFooterGroup, WP5FootnoteEndnoteGroup, WP5FontGroup, WP5ExtendedCharacterGroup, WP5DefinitionGroup, WP5BoxGroup, WP5AttributeOffGroup, WP5AttributeOnGroup, WP5UnsupportedVariableLengthGroup, and WP5UnsupportedFixedLengthGroup.

The documentation for this class was generated from the following files:

- WP5Part.h
- WP5Part.cpp